/* ==========================================================================
  FIRST SCREEN
===========================================================================*/

.first-screen {
  position: relative;
  width: 100%;
  height: 619px;
  background: url("../images/first-screen.jpg") no-repeat top right;
  background-size: cover;
  overflow: hidden;

  &::after {
    content: '';
    display: block;
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
  }

  @include mq('desktop-l', 'max') {
    background-size: 1366px;
    background-position: right 0px;
  }

  @include mq('laptop', 'max') {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 400px;
    padding-bottom: 30px;
    background-size: 1920px;
  }
}

.first-screen__content {
  position: relative;
  z-index: 3;
  padding-top: 145px;
  padding-right: 80px;
  padding-left: 20px;
  text-align: right;

  @include mq('laptop', 'max') {
    padding-top: 0;
    padding-right: 10px;
    padding-left: 10px;
    text-align: center;
  }
}

.first-screen__title {
  margin: 0;
  font-size: 41px; // no variable
  color: $color-white;

  @include mq('laptop', 'max') {
    font-size: $font-size-h2;
  }
}

.first-screen__subtitle {
  font-size: $font-size-h1;
  color: $color-white;
  font-style: italic;

  @include mq('laptop', 'max') {
    font-size: $font-size-h3;
  }
}

.first-screen__link {
  display: inline-flex;
  align-items: center;
  margin-top: 40px;
  padding-left: 30px;
  padding-right: 30px;
  height: 58px;
  max-width: 100%;
  color: $color-primary;
  font-size: 22px; // no variable
  font-weight: $font-weight-bold;
  text-decoration: none;
  border: 1px solid $color-white;
  background-color: $color-white;
  border-radius: 20px;
  overflow: hidden;
  text-overflow: ellipsis;
  text-transform: uppercase;

  &:hover {
    color: $color-white;
    background-color: transparent;
  }

  @include mq('laptop', 'max') {
    margin-top: 20px;
    font-size: $font-size-primary;
    text-transform: none;
  }
}

/* end first screen */
